gnutls_certificate_get_peers(3)

NAME
gnutls_certificate_get_peers - return the peer's raw certificate

SYNOPSIS
#include <gnutls/gnutls.h>

const gnutls_datum_t * gnutls_certificate_get_peers(gnutls_session_t session, unsigned int * list_size);

ARGUMENTS

gnutls_session_t          session
    is a gnutls session

unsigned int * list_size
    is the length of the certificate list

DESCRIPTION
Get the peer's raw certificate (chain) as sent by the peer. These certificates are in raw format (DER encoded for X.509). In case of a X.509 then a certificate list may be present. The first certificate in the list is the peer's certificate, following the issuer's certificate, then the issuer's issuer etc. In case of OpenPGP keys a single key will be returned in raw format.

RETURNS
return a pointer to a gnutls_datum_t containing our certificates, or NULL in case of an error or if no certificate was used.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.